# Delegate Account

The delegate account of a subnet node is an account where a portion of the rewards can be allocated.

The delegate account can be [updated by the subnet node](/network/subnet-node/updating-node.md#delegate-account) or by the delegate account itself.

When the delegate account is updating, it can only update the `account_id` and not the rate by transferring the `account_id` to another `account_id`. This can be accomplished by calling the following extrinsic:

```rust
pub fn transfer_delegate_account(
    origin: OriginFor<T>,
    subnet_id: u32,
    subnet_node_id: u32,
    delegate_account_id: T::AccountId,
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypertensor.org/network/subnet-node/delegate-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
